## org.hibernate.mapping
Class RootClass

    java.lang.Object
      org.hibernate.mapping.PersistentClass
          org.hibernate.mapping.RootClass

All Implemented Interfaces:
  Serializable, Filterable, MetaAttributable, TableOwner

    public class RootClass

extends PersistentClass
implements TableOwner

The root class of an inheritance hierarchy

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary
`static String` `DEFAULT_DISCRIMINATOR_COLUMN_NAME`
`static String` `DEFAULT_IDENTIFIER_COLUMN_NAME`

Fields inherited from class org.hibernate.mapping.PersistentClass
`NOT_NULL_DISCRIMINATOR_MAPPING, NULL_DISCRIMINATOR_MAPPING, optimisticLockMode, synchronizedTables`

Constructor Summary
`RootClass()`

Method Summary
`Object` `accept(PersistentClassVisitor mv)`
`void` `addSubclass(Subclass subclass)`
`String` `getCacheConcurrencyStrategy()`
`String` `getCacheRegionName()`
`Property` `getDeclaredIdentifierProperty()`
`Property` `getDeclaredVersion()`
`Value` `getDiscriminator()`
`Class` `getEntityPersisterClass()`
`KeyValue` `getIdentifier()`
`Property` `getIdentifierProperty()`
`Set` `getIdentityTables()`
`KeyValue` `getKey()`
`Iterator` `getKeyClosureIterator()`
`int` `getOptimisticLockMode()`
`Iterator` `getPropertyClosureIterator()`
`RootClass` `getRootClass()`
`Table` `getRootTable()`
`int` `getSubclassId()`
`PersistentClass` `getSuperclass()`
`Set` `getSynchronizedTables()`
`Table` `getTable()`
`Iterator` `getTableClosureIterator()`
`Property` `getVersion()`
`String` `getWhere()`
`boolean` `hasEmbeddedIdentifier()`
`boolean` `hasIdentifierProperty()`
`boolean` `isDiscriminatorInsertable()`
`boolean` `isExplicitPolymorphism()`
`boolean` `isForceDiscriminator()`
`boolean` `isInherited()`
`boolean` `isJoinedSubclass()`
`boolean` `isLazyPropertiesCacheable()`
`boolean` `isMutable()`
`boolean` `isPolymorphic()`
`boolean` `isVersioned()`
`void` `setCacheConcurrencyStrategy(String cacheConcurrencyStrategy)`
`void` `setCacheRegionName(String cacheRegionName)`
`void` `setDeclaredIdentifierProperty(Property declaredIdentifierProperty)`
`void` `setDeclaredVersion(Property declaredVersion)`
`void` `setDiscriminator(Value discriminator)`
`void` `setDiscriminatorInsertable(boolean insertable)`
`void` `setEmbeddedIdentifier(boolean embeddedIdentifier)`
`void` `setEntityPersisterClass(Class persister)`
`void` `setExplicitPolymorphism(boolean explicitPolymorphism)`
`void` `setForceDiscriminator(boolean forceDiscriminator)`
`void` `setIdentifier(KeyValue identifier)`
`void` `setIdentifierProperty(Property identifierProperty)`
`void` `setLazyPropertiesCacheable(boolean lazyPropertiesCacheable)`
`void` `setMutable(boolean mutable)`
`void` `setPolymorphic(boolean polymorphic)`
`void` `setTable(Table table)`
`void` `setVersion(Property version)`
`void` `setWhere(String string)`
`void` `validate(Mapping mapping)`

Methods inherited from class org.hibernate.mapping.PersistentClass

`addFilter, addJoin, addMappedsuperclassProperty, addProperty, addSubclassJoin, addSubclassProperty, addSubclassTable, addSynchronizedTable, addTuplizer, checkColumnDuplication, checkColumnDuplication, checkPropertyColumnDuplication, createPrimaryKey, getBatchSize, getClassName, getCustomSQLDelete, getCustomSQLDeleteCheckStyle, getCustomSQLInsert, getCustomSQLInsertCheckStyle, getCustomSQLUpdate, getCustomSQLUpdateCheckStyle, getDeclaredIdentifierMapper, getDeclaredPropertyIterator, getDirectSubclasses, getDiscriminatorColumnIterator, getDiscriminatorValue, getEntityName, getFilterMap, getIdentifierMapper, getIdentityTable, getJoinClosureIterator, getJoinClosureSpan, getJoinIterator, getJoinNumber, getJpaEntityName, getLoaderName, getMappedClass, getMetaAttribute, getMetaAttributes, getNodeName, getNonDuplicatedPropertyIterator, getProperty, getPropertyClosureSpan, getPropertyIterator, getProxyInterface, getProxyInterfaceName, getRecursiveProperty, getReferenceablePropertyIterator, getReferencedProperty, getSubclassClosureIterator, getSubclassIterator, getSubclassJoinClosureIterator, getSubclassPropertyClosureIterator, getSubclassSpan, getSubclassTableClosureIterator, getSuperMappedSuperclass, getTemporaryIdTableDDL, getTemporaryIdTableName, getTuplizerImplClassName, getTuplizerMap, getUnjoinedPropertyIterator, hasDom4jRepresentation, hasIdentifierMapper, hasNaturalId, hasPojoRepresentation, hasSelectBeforeUpdate, hasSubclasses, hasSubselectLoadableCollections, isAbstract, isClassOrSuperclassJoin, isClassOrSuperclassTable, isCustomDeleteCallable, isCustomInsertCallable, isCustomUpdateCallable, isDiscriminatorValueNotNull, isDiscriminatorValueNull, isLazy, prepareTemporaryTables, setAbstract, setBatchSize, setClassName, setCustomSQLDelete, setCustomSQLInsert, setCustomSQLUpdate, setDeclaredIdentifierMapper, setDiscriminatorValue, setDynamicInsert, setDynamicUpdate, setEntityName, setIdentifierMapper, setJpaEntityName, setLazy, setLoaderName, setMetaAttributes, setNodeName, setOptimisticLockMode, setProxyInterfaceName, setSelectBeforeUpdate, setSubselectLoadableCollections, setSuperMappedSuperclass, toString, useDynamicInsert, useDynamicUpdate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_IDENTIFIER_COLUMN_NAME

    public static final String DEFAULT_IDENTIFIER_COLUMN_NAME

See Also:
  Constant Field Values

### DEFAULT_DISCRIMINATOR_COLUMN_NAME

    public static final String DEFAULT_DISCRIMINATOR_COLUMN_NAME

See Also:
  Constant Field Values

Constructor Detail

### RootClass

    public RootClass()

Method Detail

### getSubclassId

    public int getSubclassId()

  Specified by:
    `getSubclassId` in class `PersistentClass`

### setTable

    public void setTable(Table table)

  Specified by:
    `setTable` in interface `TableOwner`

### getTable

    public Table getTable()

  Specified by:
    `getTable` in class `PersistentClass`

### getIdentifierProperty

    public Property getIdentifierProperty()

  Specified by:
    `getIdentifierProperty` in class `PersistentClass`

### getDeclaredIdentifierProperty

    public Property getDeclaredIdentifierProperty()

  Specified by:
    `getDeclaredIdentifierProperty` in class `PersistentClass`

### setDeclaredIdentifierProperty

    public void setDeclaredIdentifierProperty(Property declaredIdentifierProperty)

### getIdentifier

    public KeyValue getIdentifier()

  Specified by:
    `getIdentifier` in class `PersistentClass`

### hasIdentifierProperty

    public boolean hasIdentifierProperty()

  Specified by:
    `hasIdentifierProperty` in class `PersistentClass`

### getDiscriminator

    public Value getDiscriminator()

  Specified by:
    `getDiscriminator` in class `PersistentClass`

### isInherited

    public boolean isInherited()

  Specified by:
    `isInherited` in class `PersistentClass`

### isPolymorphic

    public boolean isPolymorphic()

  Specified by:
    `isPolymorphic` in class `PersistentClass`

### setPolymorphic

    public void setPolymorphic(boolean polymorphic)

### getRootClass

    public RootClass getRootClass()

  Specified by:
    `getRootClass` in class `PersistentClass`

### getPropertyClosureIterator

    public Iterator getPropertyClosureIterator()

  Specified by:
    `getPropertyClosureIterator` in class `PersistentClass`

### getTableClosureIterator

    public Iterator getTableClosureIterator()

  Specified by:
    `getTableClosureIterator` in class `PersistentClass`

### getKeyClosureIterator

    public Iterator getKeyClosureIterator()

  Specified by:
    `getKeyClosureIterator` in class `PersistentClass`

### addSubclass

    public void addSubclass(Subclass subclass)
                     throws MappingException

  Overrides:
    `addSubclass` in class `PersistentClass`
  Throws:
    `MappingException`

### isExplicitPolymorphism

    public boolean isExplicitPolymorphism()

  Specified by:
    `isExplicitPolymorphism` in class `PersistentClass`

### getVersion

    public Property getVersion()

  Specified by:
    `getVersion` in class `PersistentClass`

### getDeclaredVersion

    public Property getDeclaredVersion()

  Specified by:
    `getDeclaredVersion` in class `PersistentClass`

### setDeclaredVersion

    public void setDeclaredVersion(Property declaredVersion)

### setVersion

    public void setVersion(Property version)

### isVersioned

    public boolean isVersioned()

  Specified by:
    `isVersioned` in class `PersistentClass`

### isMutable

    public boolean isMutable()

  Specified by:
    `isMutable` in class `PersistentClass`

### hasEmbeddedIdentifier

    public boolean hasEmbeddedIdentifier()

  Specified by:
    `hasEmbeddedIdentifier` in class `PersistentClass`

### getEntityPersisterClass

    public Class getEntityPersisterClass()

  Specified by:
    `getEntityPersisterClass` in class `PersistentClass`

### getRootTable

    public Table getRootTable()

  Specified by:
    `getRootTable` in class `PersistentClass`

### setEntityPersisterClass

    public void setEntityPersisterClass(Class persister)

  Specified by:
    `setEntityPersisterClass` in class `PersistentClass`

### getSuperclass

    public PersistentClass getSuperclass()

  Specified by:
    `getSuperclass` in class `PersistentClass`

### getKey

    public KeyValue getKey()

  Specified by:
    `getKey` in class `PersistentClass`

### setDiscriminator

    public void setDiscriminator(Value discriminator)

### setEmbeddedIdentifier

    public void setEmbeddedIdentifier(boolean embeddedIdentifier)

### setExplicitPolymorphism

    public void setExplicitPolymorphism(boolean explicitPolymorphism)

### setIdentifier

    public void setIdentifier(KeyValue identifier)

### setIdentifierProperty

    public void setIdentifierProperty(Property identifierProperty)

### setMutable

    public void setMutable(boolean mutable)

### isDiscriminatorInsertable

    public boolean isDiscriminatorInsertable()

  Specified by:
    `isDiscriminatorInsertable` in class `PersistentClass`

### setDiscriminatorInsertable

    public void setDiscriminatorInsertable(boolean insertable)

### isForceDiscriminator

    public boolean isForceDiscriminator()

  Overrides:
    `isForceDiscriminator` in class `PersistentClass`

### setForceDiscriminator

    public void setForceDiscriminator(boolean forceDiscriminator)

### getWhere

    public String getWhere()

  Specified by:
    `getWhere` in class `PersistentClass`

### setWhere

    public void setWhere(String string)

### validate

    public void validate(Mapping mapping)
                  throws MappingException

  Overrides:
    `validate` in class `PersistentClass`
  Throws:
    `MappingException`

### getCacheConcurrencyStrategy

    public String getCacheConcurrencyStrategy()

  Specified by:
    `getCacheConcurrencyStrategy` in class `PersistentClass`

### setCacheConcurrencyStrategy

    public void setCacheConcurrencyStrategy(String cacheConcurrencyStrategy)

### getCacheRegionName

    public String getCacheRegionName()

### setCacheRegionName

    public void setCacheRegionName(String cacheRegionName)

### isLazyPropertiesCacheable

    public boolean isLazyPropertiesCacheable()

  Specified by:
    `isLazyPropertiesCacheable` in class `PersistentClass`

### setLazyPropertiesCacheable

    public void setLazyPropertiesCacheable(boolean lazyPropertiesCacheable)

### isJoinedSubclass

    public boolean isJoinedSubclass()

  Specified by:
    `isJoinedSubclass` in class `PersistentClass`

### getSynchronizedTables

    public Set getSynchronizedTables()

  Specified by:
    `getSynchronizedTables` in class `PersistentClass`

### getIdentityTables

    public Set getIdentityTables()

### accept

    public Object accept(PersistentClassVisitor mv)

  Specified by:
    `accept` in class `PersistentClass`

### getOptimisticLockMode

    public int getOptimisticLockMode()

  Specified by:
    `getOptimisticLockMode` in class `PersistentClass`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.